This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 847690 - Review Request: php-pear-XML-RPC - PHP implementation of the XML-RPC protocol
Review Request: php-pear-XML-RPC - PHP implementation of the XML-RPC protocol
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Sébastien Willmann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-13 05:45 EDT by Remi Collet
Modified: 2012-09-17 18:44 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 18:44:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sebastien.willmann: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2012-08-13 05:45:04 EDT
Spec URL: https://raw.github.com/remicollet/remirepo/master/php/pear/php-pear-XML-RPC/php-pear-XML-RPC.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-pear-XML-RPC-1.5.5-1.remi.src.rpm
Description: 
A PEAR-ified version of Useful Inc's XML-RPC for PHP.

It has support for HTTP/HTTPS transport, proxies and authentication.

Fedora Account System Username: remi


----
This extension is currently provided by main php-pear, but PEAR doesn't use it anymore. So I plan to drop it from php-pear package.

Change to php-pear.spec
https://github.com/remicollet/remirepo/commit/547aa5259a0f11a0b8270310ea05e5bb011b41bc
Test package : http://rpms.famillecollet.com/SRPMS/php-pear-1.9.4-9.remi.src.rpm
Comment 1 Remi Collet 2012-08-13 05:48:05 EDT
Of course, this change will be Fedora >= 18 only
Comment 2 Sébastien Willmann 2012-08-15 12:51:49 EDT
I can build and install the package (with php-pear-1.9.4-10) and XML_RPC still appears in pear list.

I just noticed the following points:
- The spec file in the description is different from the spec file in the SRPM
- According to the guidelines, you MUST have BuildRequires: php-pear(PEAR)
- "this are not real unit test" -> "these are not real unit tests"
Comment 4 Sébastien Willmann 2012-08-15 13:20:03 EDT
Ok, package approved
Comment 5 Remi Collet 2012-08-15 13:28:54 EDT
Thanks for the review !


New Package SCM Request
=======================
Package Name: php-pear-XML-RPC
Short Description: PHP implementation of the XML-RPC protocol
Owners: remi
Branches: f18
InitialCC:
Comment 6 Gwyn Ciesla 2012-08-15 13:45:13 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-08-15 14:19:08 EDT
php-pear-XML-RPC-1.5.5-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/php-pear-XML-RPC-1.5.5-2.fc18
Comment 8 Fedora Update System 2012-08-15 19:33:00 EDT
php-pear-XML-RPC-1.5.5-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 9 Fedora Update System 2012-09-17 18:44:39 EDT
php-pear-XML-RPC-1.5.5-2.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.